## s2geometry 0.10.0

=== src/python/CMakeLists.txt ===
include(${SWIG_USE_FILE})
include_directories(${Python3_INCLUDE_DIRS})

set(CMAKE_SWIG_FLAGS "")
set_property(SOURCE s2.i PROPERTY SWIG_FLAGS "-module" "pywraps2")
set_property(SOURCE s2.i PROPERTY CPLUSPLUS ON)

swig_add_library(pywraps2 LANGUAGE python SOURCES s2.i)

swig_link_libraries(pywraps2 ${Python3_LIBRARIES} s2)
enable_testing()
add_test(NAME pywraps2_test COMMAND
         ${Python3_EXECUTABLE}
         "${PROJECT_SOURCE_DIR}/src/python/pywraps2_test.py")
set_property(TEST pywraps2_test PROPERTY ENVIRONMENT
             "PYTHONPATH=$ENV{PYTHONPATH}:${PROJECT_BINARY_DIR}/python")

# Install the wrapper.
install(TARGETS _pywraps2 DESTINATION ${Python3_SITELIB})
install(FILES "${PROJECT_BINARY_DIR}/python/pywraps2.py"
        DESTINATION ${Python3_SITELIB})

=== debian/changelog ===
s2geometry (0.10.0-6.1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:21:18 +1100

s2geometry (0.10.0-6.1build3) noble; urgency=medium

  * No-change rebuild against libabsl t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Mar 2024 18:09:05 +0100

s2geometry (0.10.0-6.1build2) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 21:19:40 +0000

s2geometry (0.10.0-6.1build1) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@debian.org>  Sat, 02 Mar 2024 21:21:50 +0100

s2geometry (0.10.0-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062876

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 15:37:54 +0000

s2geometry (0.10.0-6) unstable; urgency=medium

  * Team upload.
  * Really fix ppc64el patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 21 Nov 2022 08:50:19 +0100

s2geometry (0.10.0-5) unstable; urgency=medium

  * Team upload.
  * Fix build on ppb64el

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 20 Nov 2022 22:52:36 +0100

s2geometry (0.10.0-4) unstable; urgency=medium

  * Team upload.

  [ Sebastian Spaeth ]
  * d/patches: Fix nonvoid can return void build warning
  * s/changelog: Silence build warning
  * d/patches: Apply patch only on powerpc arches

  [ Jochen Sprickerhof ]
  * Apply Multi-Arch hints from the MA hinter

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 20 Nov 2022 16:43:19 +0100

s2geometry (0.10.0-3) unstable; urgency=medium

  * Team upload.

  [ Sebastian Spaeth ]
  * d/control: Fix typo in Maintainer name
  * libs2-dev depends upon libabsl-dev (>= 0~20220623)
  * d/control: -dev package requires libssl-dev
  * Fix FTBS for s390x

  [ Jochen Sprickerhof ]
  * Fix build on ppc64el
  * Fix compilation for multiple Python versions (Closes: #1023961)
  * Add MA hint from the MA hinter

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 15 Nov 2022 11:35:56 +0100

s2geometry (0.10.0-2) unstable; urgency=medium

  * Add python3-pywraps2 bindings

 -- Sebastian Spaeth <Sebastian@SSpaeth.de>  Thu, 27 Oct 2022 12:13:13 +0200

s2geometry (0.10.0-1) unstable; urgency=medium

  * Initial release. (Closes: #962686: ITP: s2geometry -- Computational
    geometry and spatial indexing on the sphere http://s2geometry.io/)

 -- Sebastian Spaeth <Sebastian@SSpaeth.de>  Tue, 25 Oct 2022 13:02:12 +0200

=== debian/control ===
Source: s2geometry
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: DebianOnMobile Team <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Sebastian Spaeth <Sebastian@SSpaeth.de>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
               cmake, libssl-dev, libabsl-dev (>= 20220623.1-3.1),
               dh-sequence-python3, python3-all-dev, swig (>= 4.0)
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://s2geometry.io
Description: manipulating geometric shapes with spherical geometry
 s2geometry is for manipulating geometric shapes. Unlike many geometry
 libraries, S2 is primarily designed to work with spherical geometry,
 i.e., shapes drawn on a sphere rather than on a planar 2D map.  This
 makes it especially suitable for working with geographic data.
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/s2geometry.git
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/s2geometry

Package: libs2-0t64
Provides: ${t64:Provides}
Replaces: libs2-0
Breaks: libs2-0 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}
 .
 This package provides the shared library.

Package: libs2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libs2-0t64 (= ${binary:Version}), ${misc:Depends},
         libssl-dev, libabsl-dev (>= 0~20220623)
Description: ${source:Synopsis} - dev files
 ${source:Extended-Description}
 .
 This package provides headers and libraries for development.

Package: python3-pywraps2
Architecture: any
Section: python
Depends: libs2-0t64 (= ${binary:Version}),
         ${shlibs:Depends}, ${misc:Depends},
         ${python3:Depends}
Description: ${source:Synopsis} - Python bindings
 ${source:Extended-Description}
 .
 This package contains the Python bindings of the spatial s2 library.

=== debian/rules ===
#!/usr/bin/make -f
# output every command that modifies files on the build system.
# DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_CONFIGURE_ARGS=-DPYVER={version} -DBUILD_EXAMPLES=OFF -DWITH_PYTHON=ON
export PYBUILD_SYSTEM=cmake

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/google/s2geometry/tags .*/archive/refs/tags/v(\d\S*)\.tar\.gz
